/********************************************************************
 *******************************************************************/

#ifndef APP_DEVICE_MOUSE_H
#define APP_DEVICE_MOUSE_H

#include <stdbool.h>
#include <stddef.h>
#include <usb/usb_device.h>
#include <usb/usb_device_hid.h>

/*********************************************************************
* Function: void APP_DeviceMouseInitialize(void);
*
* Overview: Initializes the demo code
*
* PreCondition: None
*
* Input: None
*
* Output: None
*
********************************************************************/
void APP_DeviceMouseInitialize();

/*********************************************************************
* Function: void APP_DeviceMouseStart(void);
*
* Overview: Starts running the demo.
*
* PreCondition: The device should be configured into the configuration
*   that contains the custome HID interface.  The APP_DeviceMouseInitialize()
*   function should also have been called before calling this function.
*
* Input: None
*
* Output: None
*
********************************************************************/
void APP_DeviceMouseStart();

/*********************************************************************
* Function: void APP_DeviceMouseTasks(void);
*
* Overview: Keeps the demo running.
*
* PreCondition: The demo should have been initialized and started via
*   the APP_DeviceMouseInitialize() and APP_DeviceMouseStart() demos
*   respectively.
*
* Input: None
*
* Output: None
*
********************************************************************/
void APP_DeviceMouseTasks();

bool APP_DeviceMouseEventHandler(unsigned int event, void *pdata, size_t size);
void APP_DeviceMouseSOFHandler(void);

#endif
