/********************************************************************
 *******************************************************************/

#include <p24FJ256GB106.h>
#include <system.h>
#include <system_config.h>
#include <usb/usb_device.h>
#include <usb/usb.h>
#include <leds.h>
#include <buttons.h>
#include <adc.h>

/** CONFIGURATION Bits **********************************************/
_CONFIG1( 
    JTAGEN_OFF & 
    GCP_OFF & 
    GWRP_OFF & 
    FWDTEN_OFF & 
    ICS_PGx2
);

_CONFIG2( 
    PLL_96MHZ_ON & 
    IESO_OFF & 
    FCKSM_CSDCMD & 
    OSCIOFNC_ON & 
    POSCMOD_HS & 
    FNOSC_PRIPLL & 
    PLLDIV_DIV3 & 
    IOL1WAY_ON
);

 
/*********************************************************************
* Function: void SYSTEM_Initialize( SYSTEM_STATE state )
*
* Overview: Initializes the system.
*
* PreCondition: None
*
* Input:  SYSTEM_STATE - the state to initialize the system into
*
* Output: None
*
********************************************************************/
void SYSTEM_Initialize( SYSTEM_STATE state )
{
    switch(state)
    {
        case SYSTEM_STATE_USB_START:
            LED_Enable(LED_USB_DEVICE_STATE);
            BUTTON_Enable(BUTTON_USB_DEVICE_HID_MOUSE);
            break;
            
        case SYSTEM_STATE_USB_SUSPEND:
            break;
            
        case SYSTEM_STATE_USB_RESUME:
            break;
    }
}

#if defined(USB_INTERRUPT)
void __attribute__((interrupt,auto_psv)) _USB1Interrupt()
{
    USBDeviceTasks();
}
#endif


        
