/********************************************************************
 *******************************************************************/


/*******************************************************************/
/******** USB stack hardware selection options *********************/
/*******************************************************************/
//This section is the set of definitions required by the MCHPFSUSB
//  framework.  These definitions tell the firmware what mode it is
//  running in, and where it can find the results to some information
//  that the stack needs.
//These definitions are required by every application developed with
//  this revision of the MCHPFSUSB framework.  Please review each
//  option carefully and determine which options are desired/required
//  for your application.

//#define USE_SELF_POWER_SENSE_IO
#define tris_self_power     TRISCbits.TRISC2    // Input
#define self_power          0

//#define USE_USB_BUS_SENSE_IO
#define tris_usb_bus_sense  TRISCbits.TRISC2    // Input
#define USB_BUS_SENSE       1

//Uncomment this to make the output HEX of this project
//   to be able to be bootloaded using the HID bootloader
#define PROGRAMMABLE_WITH_USB_HID_BOOTLOADER


// Defines for the HPC Explorer board for bit-banged SPI
#define SPICLOCK            TRISBbits.TRISB1
#define SPIIN               TRISAbits.TRISA1
#define SPIOUT              TRISAbits.TRISA5
#define SPICON1             SSP2CON1
#define SPICLOCKLAT         LATBbits.LATB1
#define SPIINLAT            LATAbits.LATA1
#define SPIOUTLAT           LATAbits.LATA5
#define SPICLOCKPORT        PORTBbits.RB1
#define SPIINPORT           PORTAbits.RA1
#define SPIOUTPORT          PORTAbits.RA5


