/********************************************************************
 *******************************************************************/


/*******************************************************************/
/******** USB stack hardware selection options *********************/
/*******************************************************************/
//This section is the set of definitions required by the MCHPFSUSB
//  framework.  These definitions tell the firmware what mode it is
//  running in, and where it can find the results to some information
//  that the stack needs.
//These definitions are required by every application developed with
//  this revision of the MCHPFSUSB framework.  Please review each
//  option carefully and determine which options are desired/required
//  for your application.

/** USB ************************************************************/
//The PIC18F87J50 FS USB Plug-In Module supports the USE_USB_BUS_SENSE_IO
//feature.  The USE_SELF_POWER_SENSE_IO feature is not implemented on the
//circuit board, so the USE_SELF_POWER_SENSE_IO define should always be
//commented for this hardware platform.

//#define USE_SELF_POWER_SENSE_IO
#define tris_self_power     TRISAbits.TRISA2    // Input
#if defined(USE_SELF_POWER_SENSE_IO)
#define self_power          PORTAbits.RA2
#else
#define self_power          1
#endif

//#define USE_USB_BUS_SENSE_IO		//JP1 must be in R-U position to use this feature on this board
#define tris_usb_bus_sense  TRISBbits.TRISB5    // Input
#if defined(USE_USB_BUS_SENSE_IO)
#define USB_BUS_SENSE       PORTBbits.RB5
#else
#define USB_BUS_SENSE       1
#endif

//Uncomment this to make the output HEX of this project
//   to be able to be bootloaded using the HID bootloader
//#define PROGRAMMABLE_WITH_USB_HID_BOOTLOADER


// Defines for the HPC Explorer board for bit-banged SPI
#define SPICLOCK            TRISCbits.TRISC3
#define SPIIN               TRISCbits.TRISC4
#define SPIOUT              TRISCbits.TRISC5
#define SPICON1             SSP1CON1
#define SPICLOCKLAT         LATCbits.LATC3
#define SPIINLAT            LATCbits.LATC4
#define SPIOUTLAT           LATCbits.LATC5
#define SPICLOCKPORT        PORTCbits.RC3
#define SPIINPORT           PORTCbits.RC4
#define SPIOUTPORT          PORTCbits.RC5


