/********************************************************************
 *******************************************************************/

#include <system.h>
#include <usb/usb.h>

/** CONFIGURATION Bits **********************************************/
_CONFIG1(
    JTAGEN_OFF      &
    GCP_OFF         &
    GWRP_OFF        &
    FWDTEN_OFF      &
    ICS_PGx2
)

_CONFIG2( 
    PLL_96MHZ_ON    &
    IESO_OFF        &
    FCKSM_CSDCMD    &
    OSCIOFNC_ON     &
    POSCMOD_HS      &
    FNOSC_PRIPLL    &
    PLLDIV_DIV2     &
    IOL1WAY_ON
)
 
/*********************************************************************
* Function: void SYSTEM_Initialize( SYSTEM_STATE state )
*
* Overview: Initializes the system.
*
* PreCondition: None
*
* Input:  SYSTEM_STATE - the state to initialize the system into
*
* Output: None
*
********************************************************************/
void SYSTEM_Initialize( SYSTEM_STATE state )
{
    switch(state)
    {
        case SYSTEM_STATE_USB_HOST:
            PRINT_SetConfiguration(PRINT_CONFIGURATION_LCD);
            break;
            
        case SYSTEM_STATE_USB_HOST_CDC_BASIC:
            BUTTON_Enable(BUTTON_USB_HOST_CDC_BASIC);
            LED_Enable(LED_USB_HOST_CDC_BASIC_DEVICE_ATTACHED);
            PRINT_SetConfiguration(PRINT_CONFIGURATION_LCD);
            break;
    }
}

void __attribute__((interrupt,auto_psv)) _USB1Interrupt()
{
        USB_HostInterruptHandler();
}
