/********************************************************************
 *******************************************************************/

#ifndef SYSTEM_H
#define SYSTEM_H

#include <xc.h>
#include <stdbool.h>

#include "io_mapping.h"

#include <buttons.h>
#include <leds.h>
#include <adc.h>
#include <timer_1ms.h>

#define MAIN_RETURN int

/*********************************************************************
* Function: void SYS_Initialize(void)
*
* Overview: Initializes the system.
*
* PreCondition: None
*
* Input:  None
*
* Output: None
*
********************************************************************/
void SYS_Initialize();

/*********************************************************************
* Function: void SYS_Tasks(void)
*
* Overview: Runs system level tasks that keep the system running
*
* PreCondition: System has been initalized with SYSTEM_Initialize()
*
* Input: None
*
* Output: None
*
********************************************************************/
//void SYS_Tasks(void);
#define SYS_Tasks()

#endif //SYSTEM_H

